Bug 1371967 - incorrect team config not refused but nullified
Summary: incorrect team config not refused but nullified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 14:42 UTC by Vladimir Benes
Modified: 2016-11-03 19:29 UTC (History)
6 users (show)

Fixed In Version: NetworkManager-1.4.0-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:29:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2016-08-31 14:42:57 UTC
Description of problem:
nmcli connection add type team con-name team0 ifname team0 team.config "{foo}" && nmcli connection show team0 | grep config
Connection 'team0' (952cb9e8-c3ae-4cb9-a8cb-5a98ff71768d) successfully added.
team.config:                            --


Version-Release number of selected component (if applicable):
NetworkManager-1.4.0-1.el7.x86_64

Comment 4 Vladimir Benes 2016-09-01 09:27:49 UTC
Config value {foo} or {\"blah\":1,\"blah\":2,\"blah\":3} is not accepted and thus not nullified. Working as expected again.

Comment 6 errata-xmlrpc 2016-11-03 19:29:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.